package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbCostMeasureActual;
import com.dsk.cscec.domain.bo.CbCostMeasureActualBo;
import com.dsk.cscec.domain.vo.CbCostMeasureActualVo;

import java.util.List;

public interface CbCostMeasureActualMapper extends BaseMapper<CbCostMeasureActual> {
    int insertSelective(CbCostMeasureActual record);

    int updateByPrimaryKeySelective(CbCostMeasureActual record);

    List<CbCostMeasureActualVo> selectDataList(CbCostMeasureActualBo costMeasureActualBo);

    List<CbCostMeasureActualVo> getMonthActualCostList(Long projectId, String month);
}